-- ViceVersa: Exchanges the value of two varibles
function ViseVersa (v1, v2)
	local HV
	HV = v1
	v1 = v2
	v2 = HV
end

-- Finds out if the player is in a clan and returns the clan tag ( a little Inaccurate )
function getIsInClan (id)
	if ( player(id, "exists") ) then
		if ( string.sub(player(id, "name"), 1, 1) == "[" ) then
			if ( string.sub(player(id, "name"), 4, 4) == "]" ) then
				return string.sub(player(id, "name"), 2, 3)
			elseif ( string.sub(player(id, "name"), 5, 5) == "]" ) then
				return string.sub(player(id, "name"), 2, 4)
			elseif ( string.sub(player(id, "name"), 6, 6) == "]" ) then
				return string.sub(player(id, "name"), 2, 5)
			else
				return "None"
			end
		else
			return "None"
		end
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

-- Returns true if the player is dead otherwise false
function getIsDead (id)
	if ( player(id, "exists") ) then
		if ( player(id, "health") <= 0 ) then
			return true
		else
			return false
		end
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

-- Returns the players speed
function getSpeed (id)
	if ( player(id, "exists") ) then
		return player(id, "speedmod")
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

-- Returns the players health
function getHealth (id)
	if ( player(id, "exists") ) then
		return player(id, "health")
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

--Returns the players max health
function getMaxHealth (id)
	if ( player(id, "exists") ) then
		return player(id, "maxhealth")
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

-- Returns the players money
function getMoney (id)
	if ( player(id, "exists") ) then
		return player(id, "money")
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end


function getPlayerType (id)
	if ( player(id, "exists") ) then
		if ( player(id, "bot") ) then
			return "bot"
		else
			return "player"
		end
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

function getIsBot (id)
if ( player(id, "exists") ) then
		if ( player(id, "bot") ) then
			return true
		else
			return false
		end
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end	
	
function getCurrentPlayerWeapon (id)
	if ( player(id, "exists") ) then
		return player(id, "weaponid")
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

function getIsReloading (id)
	if ( player(id, "exists") ) then
		return player(id, "reloading")
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

function getGameVersion ()
	return game("version")
end

function showInventory (id)
	if ( player(id, "exists") ) then
		return playerweapons(id)
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

function getPort (id)
	if ( player(id, "exists") ) then
		return player(id, "port")
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end

function getSaveNumber (num)
	if ( num ~= nil ) then
		if ( num < 10 ) then
			if ( num > 0 ) then
				return "00"..num
			else
				return num
			end
		elseif ( num > 10 ) then
			if ( num < 100 ) then
				return "0"..num
			end
		elseif ( num >= 100 ) then
			return num
		end
	else
		return false
	end
end

function getTeam (id)
	if ( player(id, "exists") ) then
		if ( player(id, "team") == 0 ) then
			return "Spectator"
		elseif ( player(id, "team") == 1 ) then
			return "Terrorist"
		else
			return "Counter Terrorist"
		end
	else
		print ("255000000ID: "..id..", does not exist!")
		return nil
	end
end